---
title: "InfoJobs API: Search | Perceptlayer"
description: "Search from InfoJobs as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/infojobs/search
---

[APIs](https://perceptlayer.com/apis) / [InfoJobs](https://perceptlayer.com/apis/infojobs) / Search

# InfoJobs: Search

Search from InfoJobs as JSON. 1 credit per successful call.

GET `/v1/infojobs/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `keyword` | string | Optional | Up to 100 characters |
| `provinceIds` | string | Optional | Any |
| `categoryIds` | string | Optional | Any |
| `teleworkingIds` | string | Optional | Any |
| `contractTypeIds` | string | Optional | Any |
| `workdayIds` | string | Optional | Any |
| `page` | integer | Optional | Any |
| `sortBy` | string | Optional | RELEVANCE, PUBLICATION\_DATE |
| `sinceDate` | string | Optional | ANY, \_24\_HOURS, \_7\_DAYS, \_15\_DAYS |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/infojobs/search?keyword=developer&provinceIds=33&categoryIds=150" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/infojobs?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
